### Virtual Method

# Gio Action get_parameter_type

since: 2.28

#### Declaration

    const GVariantType*
    get_parameter_type (
      GAction* action
    )

#### Description

Queries the type of the parameter that must be given when activating `action`.

When activating the action using g_action_activate(), the `GVariant` given to that function must be of the type returned by this function.

In the case that this function returns `NULL`, you must not give any `GVariant`, but `NULL` instead.

Available since: 2.28

#### Return value

Type: `GVariantType`

The parameter type.

The data is owned by the called function.
The return value can be `NULL`.